microsoft-windows – ¿Cómo obtener compatibilidad con Python en MS Windows?

Pregunta:

He instalado la última versión de Vim hasta la fecha (8.0) para Windows. Pero la versión de Vim que tengo no es compatible con Python. Descargué la versión .exe directamente de vim.org .

echo has('python') 
" returns 0. 

Si mal no recuerdo, Vim solía venir con soporte para Python en la compilación predeterminada. ¿Esto ya no es cierto?

¿Tengo que compilar Vim con el soporte de Python yo mismo (y cómo hacerlo en MS Windows) o hay otra forma?

Respuesta:

Necesita instalar Python usted mismo en Windows.

Si escribe :version , debería ver +python/dyn y +python3/dyn . En Windows, esto significa que Vim está compilado para cargar dinámicamente la DLL de Python. Puede leer sobre esto en :h python-dynamic . Dependiendo de las versiones que instale, es posible que desee ver :h pythondll y:h pythonthreedll .

Si instala Python 3, tenga en cuenta que deberá verificarlo con :echo has('python3') . Además, si desea instalar Python 2 y 3, querrá leer :h has-python .

Leave a Comment

Your email address will not be published. Required fields are marked *

Scroll to Top

web tasarım